Groovy 1.7.10

## groovy.jmx.builder
[Groovy] Class JmxTimerFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxTimerFactory

    class JmxTimerFactory
    extends AbstractFactory

The JmxTimerFactory class generates a timer() node for JmxBuilder. This node crates a standard JMX Timer object that can be used to provide timing signals to registered JMX listeners.

Syntax

     timer(
         name:"object name"|ObjectName(),
         event:"...",
         message:"...",
         data:dataValue
         startDate:"now"|dateValue
         period:"99d"|"99h"|"99m"|"99s"|99
         occurences:long
     )

Authors:
  Vladimir Vivien

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)

Copyright © 2003-2010 The Codehaus. All rights reserved.